QGIS Application - Bug report #6378
Label every part of multi-part feature not working for some options in PAL Labelling
2012-09-20 02:38 AM - lan Packham

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15638

Description

Running the dev build (v1.9.0-66) of QGIS, using the PAL labelling tool from the Toolbar on a MultiPolygon layer with multiple parts in
some features. After choosing to label a field, one label per feature is shown as expected. Returning to the Advanced options in the PAL
labelling and selecting the "Label every part of a multi-part feature" option, has no effect on this layer. Following the same steps in v1.8.0,
multiple labels will appear for the layer (see attached example). This bug holds for the Offset and Around centroid options; for the other
Placement options the expected behaviour is seen.

History

#1 - 2012-09-24 01:33 PM - Larry Shaffer

- Status changed from Open to Feedback

lan,

Should be fixed with commit commit:e0e57b5 but please compile (or wait for nightly) and test, as that commit significantly changes the approach to

centroids.

#2 - 2014-06-21 01:50 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Files

ded_layer.zip 11.3KB 2012-09-20 lan Packham
